package com.biganto.visual.roompark.presentation.screen.estate

import android.content.Context
import com.biganto.visual.roompark.base.RoomParkMainActivity
import com.biganto.visual.roompark.di.dagger.AppComponent
import com.biganto.visual.roompark.di.dagger.PerScreen
import dagger.Binds
import dagger.BindsInstance
import dagger.Component
import dagger.Module


@PerScreen
@Component(
    modules = [EstateScreenModule::class],
    dependencies = [AppComponent::class])
interface EstateScreenComponent {

    @Component.Factory
    interface Factory{
        fun create(
            appComponent: AppComponent
            ,@BindsInstance activity: RoomParkMainActivity
        ): EstateScreenComponent
    }

    val presenter: EstateScreenPresenter

    fun inject(controller: EstateScreenController)
}

@Module
abstract class EstateScreenModule{

    @PerScreen
    @Binds
   abstract fun provideContext(activity: RoomParkMainActivity): Context

}
